@echo off

rem ****************************************************************************
rem * This file ensures copying all necessary files (.H and .LIB) into         *
rem * an appropriate directory where the headers and libraries are taken from. *
rem *                                                                          *
rem * This batch file must be executed after each library rebuild              *
rem * (See "Post-Build Step" in the project settings)                          *
rem ****************************************************************************


:MakeAaaDir
if exist ..\aaa goto MakeIncDir
md ..\aaa


:MakeIncDir
if exist ..\aaa\inc goto MakeLibDir
md ..\aaa\inc >nul


:MakeLibDir
if exist ..\aaa\lib goto CopyFiles
md ..\aaa\lib >nul


:CopyFiles
copy *.h      ..\aaa\inc >nul
copy %1\*.lib ..\aaa\lib >nul
