/*****************************************************************************/
/* ReplaceExt.cpp                         Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Description:                                                              */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 01.06.04  1.00  Lad  The first version of ReplaceExt.cpp                  */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

int ReplaceFileName(TCHAR * szFullPath, TCHAR * szPlainName)
{
    TCHAR * szName = _tcsrchr(szFullPath, _T('\\'));

    if(szName == NULL)
        szName = szFullPath;
    else
        szName++;

    if(*szPlainName == _T('\\'))
        szPlainName++;

    _tcscpy(szName, szPlainName);
    return ERROR_SUCCESS;
}

int ReplaceFileExt(TCHAR * szFileName, TCHAR * szNewExt)
{
    TCHAR * szExt = _tcsrchr(szFileName, _T('.'));

    if(szExt == NULL)
        szExt = szFileName + _tcslen(szFileName);
    else
        szExt++;

    if(*szNewExt == _T('.'))
        szNewExt++;

    _tcscpy(szExt, szNewExt);
    return ERROR_SUCCESS;
}


