/*****************************************************************************/
/* rsprintf.cpp                           Copyright (c) Ladislav Zezula 2005 */
/*---------------------------------------------------------------------------*/
/* Like sprintf, but the format string is from resources                     */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 16.05.05  1.00  Lad  The first version of rsprintf.cpp                    */
/*****************************************************************************/

#include "Utils.h"

// Like sprintf, but the format string is taken from resources
int rsprintf(TCHAR * szBuffer, UINT nIDFormat, ...)
{
    va_list argList;
    TCHAR szFmt[256] = _T("");           // Buffer for loading resource string
    int nResult = 0;

    *szBuffer = 0;
    if(LoadString(g_hInst, nIDFormat, szFmt, _tsize(szFmt)) > 0)
    {
        va_start(argList, nIDFormat);
        nResult = _vstprintf(szBuffer, szFmt, argList);
        va_end(argList);
    }
        
    return nResult;
}
