/*****************************************************************************/
/* Backslash.cpp                          Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Functions for adding/removing backslashes from the path                   */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 30.05.04  1.00  Lad  The first version of Backslash.cpp                   */
/*****************************************************************************/

#define __UTILS_SELF
#include "Utils.h"

void AddBackslash(TCHAR * szPathName)
{
    size_t nLength = _tcslen(szPathName);
    
    if(nLength > 1)
    {
        if(szPathName[nLength-1] != _T('\\') && szPathName[nLength-1] != _T('/'))
        {
            szPathName[nLength] = _T('\\');
            szPathName[nLength+1] = 0;
        }
    }
}

void RemoveBackslash(TCHAR * szPathName)
{
    size_t nLength = _tcslen(szPathName);
    
    if(nLength > 1)
    {
        if(szPathName[nLength-1] == _T('\\') || szPathName[nLength-1] == _T('/'))
            szPathName[nLength-1] = 0;
    }
}
